Last modified: 2013-09-03 03:51:26 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 25337 - MediaWiki:Useractivity-award should support GENDER
MediaWiki:Useractivity-award should support GENDER
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
SocialProfile (Other open bugs)
unspecified
All All
: Normal enhancement with 1 vote (vote)
: ---
Assigned To: Jack Phoenix
http://translatewiki.net/w/i.php?titl...
: i18n
Depends on:
Blocks: gender
  Show dependency treegraph
 
Reported: 2010-09-27 14:23 UTC by Purodha Blissenbach
Modified: 2013-09-03 03:51 UTC (History)
4 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Purodha Blissenbach 2010-09-27 14:23:12 UTC
The message in MediaWiki:Useractivity-award should support GENDER
in the same way, eg. useractivity-edit and few others do.
Comment 1 Purodha Blissenbach 2011-04-22 17:12:41 UTC
See also bug 28617
Comment 2 Jack Phoenix 2011-07-21 06:21:22 UTC
The fix for this bug seems rather simple, but sadly it isn't so. In my testing, I moved the bolding and link rendering from $1 to the useractivity-award message and changed wfMsg to wfMsgExt with the parse option and passed $row->sg_user_name as $1 to the message.
It introduced not one but two new bugs: annoying <p> tags that messed with the display in a place where they weren't supposed to be and the Parser's strip marked (UNIQ string) was exposed when using the siteactivity parser hook.
Comment 3 Niklas Laxström 2011-09-20 09:49:29 UTC
Can you test wfMessage( )->...->parse()?
Comment 4 Jack Phoenix 2011-09-20 20:40:27 UTC
I can try that later on whenever I have time for minor bugs, such as this one. Do note that I don't plan to break backwards compatibility before November 2011 (as per [[mw:Version lifecycle]]); supporting 1.17 would probably be rather silly/awkward, as it has never been 'officially' supported.
Once I've dropped support for pre-1.18 MWs, I can apply the patch to fix bug #30953 and try fixing this one, too. This isn't a high-priority bug because it isn't actively breaking anything (as opposed to #30953, for example), it's just a minor inconvenience for translators in certain languages.
Comment 5 Gerrit Notification Bot 2013-09-02 20:18:41 UTC
Change 82352 had a related patch set uploaded by Jack Phoenix:
SocialProfile: bug #25337 - GENDER support for [[MediaWiki:Useractivity-award]].

https://gerrit.wikimedia.org/r/82352
Comment 6 Gerrit Notification Bot 2013-09-02 20:19:32 UTC
Change 82352 merged by Jack Phoenix:
SocialProfile: bug #25337 - GENDER support for [[MediaWiki:Useractivity-award]].

https://gerrit.wikimedia.org/r/82352
Comment 7 Nemo 2013-09-03 03:51:26 UTC
Thanks for fixing, Jack!

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links